Skip to Content
SeyloDocs

List GitHub App installations

GET
/api/v1/github.installations

Lists the accounts and organizations the panel's GitHub App is installed on, and the link to install it on another one.

Any signed-in caller. Available to MCP clients and the assistant.

Authorization

cookieseylo_session<token>

Response Body

Success.

application/json
  1. response
installations*array<>
installUrl*string|null
Example Request
curl -X GET 'https://example.com/api/v1/github.installations'
Example Response
{  "installations": [    {      "id": "string",      "installationId": 0,      "accountLogin": "string",      "accountType": "User",      "repositorySelection": "all",      "suspended": true,      "manageUrl": "string",      "createdAt": "2019-08-24T14:15:22Z"    }  ],  "installUrl": "string"}